Subject: Re: Workers Comp posters
From: "LLPS Customer Service" <[email-masked]>
To: "Glisson, Mario" <[email-masked]>
Date: Thu, 30 Aug 2012 13:52:42 -0400

I actually think your response is pretty prompt.  I have to get requirements for offices all over the country and it sometimes takes weeks to get a response.  Your promptness is greatly appreciated!  Please send the posters to me at the corporate office.  
Please send 1 -English and 1 -Spanish to:
Attention: Michael Bishop
LLPS
5859 W. Saginaw Hwy. #343
Lansing, MI 48917
Again your assistance is greatly appreciated!
Thank you,
Michael B
LLPS

From: Glisson, Mario 
Sent: Thursday, August 30, 2012 1:02 PM
To: LLPS Customer Service 
Subject: RE: Workers Comp posters

Michael.

Sorry I am just now responding. They are not downloadable form our website unfortunately. We will have to mail them out. I will send you 2 posters at no cost. What is your address?

From: LLPS Customer Service [mailto:[email-masked]] 
Sent: Thursday, August 30, 2012 10:20 AM
To: Glisson, Mario
Subject: Workers Comp posters

Hello.

I was hoping to download an English and Spanish version of the Workers Compensation posters.  Is there no way of getting those via the web or do they have to be mailed out?  If they do need to be mailed, what size envelope would be needed and how much would (2) posters weigh so I could have the return envelope ready.  Let me know asap.

Thank you,
Michael B
LLPS